#include "SDL_kanji.h"

#include <SDL.h>

#include <stdlib.h>

int main(int argc, char* argv[]) {
	SDL_Surface* screen;
	SDL_Surface* text;
	Kanji_Font* font;
	SDL_Rect dst;
	SDL_Color col;
	char* font1 = "jiskan24.bdf";
	char* font2 = "12x24.bdf";
	int size = 24;

	SDL_Init(SDL_INIT_VIDEO);
	screen = SDL_SetVideoMode(600, 300, 16, SDL_SWSURFACE);

	/* ܂Aw肷邱Ƃł܂AĒx */
	if (argc >= 3) {
		font1 = argv[1];
		font2 = argv[2];
		size = atoi(argv[3]);
	}

	font = Kanji_OpenFont(font1, size);
	Kanji_AddFont(font, font2);
	Kanji_SetCodingSystem(font, KANJI_SJIS);

	col.r = 255; col.g = 0; col.b = 255;
	Kanji_PutText(font, 100, 270, screen,
	"[L􁧁 10b҂ĉ", col);

	col.r = 0; col.g = 255; col.b = 255;
	Kanji_PutTextTate(font, 350, 100, screen, "cŁAB", col);

	col.r = 255; col.g = 0; col.b = 0;
	text = Kanji_CreateSurface(font,
							   "{ł BEnglish ł on", col, 16);
	dst.x = 10; dst.y = 20;
	SDL_BlitSurface(text, 0, screen, &dst);
	dst.x = 11; dst.y = 23;
	SDL_BlitSurface(text, 0, screen, &dst);
	SDL_FreeSurface(text);

	col.r = 0; col.g = 255; col.b = 0;
	text = Kanji_CreateSurfaceTate(font,
								   "English ͏cƂ", col, 16);
	dst.x = 270; dst.y = 30;
	SDL_BlitSurface(text, 0, screen, &dst);
	dst.x = 278; dst.y = 30;
	SDL_BlitSurface(text, 0, screen, &dst);
	SDL_FreeSurface(text);

	col.r = 0; col.g = 0; col.b = 255;
	Kanji_PutText(font, 500, -7, screen, "l", col);
	Kanji_PutText(font, -7, 270, screen, "", col);
	Kanji_PutText(font, 510, 282, screen, "݂͂", col);

	SDL_UpdateRect(screen, 0, 0, 0, 0);
	SDL_Delay(1000);

	Kanji_CloseFont(font);

	return 0;
}

